<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>


<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>

<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>

<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));

	var extendPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Extend Package', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 450
	});
	window.extendPopup = extendPopup;
	
	var gotdPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Buy gotd', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 860
	});
	window.gotdPopup = gotdPopup;
	
	var profileBoostPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Buy Profile Boost', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 880
	});
	window.profileBoostPopup = profileBoostPopup;
	
	
	var expoProductPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add Expo Product', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 460
	});
	window.expoProductPopup = expoProductPopup;
	
	var changePremiumCitiesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 350
	});
	window.changePremiumCitiesPopup = changePremiumCitiesPopup;
	
	var extraPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Buy Extra Country', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 900
	});
	window.extraPopup = extraPopup;

	var sus_res_stat = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 350
	});
	window.susResStatPopup = sus_res_stat;
	
	var cancelPackage = function() {
		if ( confirm('Are you sure you want to cancel this package?') ) {
			Cubix.Popup.Actions.SaveValid.bind(this).call();
		}
	};

	var pPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Cancel Package', icon: 'package-delete', action: cancelPackage },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 590
	});
	window.cancelPopup = pPopup;

	var up_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Upgrade', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 845
	});
	window.upgradePopup = up_popup;
	
	var move_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Move', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 400
	});
	window.movePopup = move_popup;
	
	var move_history_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 600
	});
	window.moveHistoryPopup = move_history_popup;

	var detailsPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100
	});


	var susres_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 350
	});
	window.susresPopup = susres_popup;
	window.susresPopup.addEvent('loaded', function () {
		new Picker.Date('input[name=date]', { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y H:i', timePicker: true });
	});


	var initDateFilter = function(filter_form)
	{
		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });

		$(filter_form).getElement('.f-filter-by').addEvent('change', function() {
			if ( this.get('value') ) {
				$(filter_form).getElement('.f-dates-defined').set('disabled', '');
				$(filter_form).getElement('.f-date-from').set('disabled', '');
				$(filter_form).getElement('.f-date-to').set('disabled', '');
				$(filter_form).getElement('.f-date-from').getNext().set('disabled', '');
				$(filter_form).getElement('.f-date-to').getNext().set('disabled', '');

				$(filter_form).getElement('.f-dates-defined').addEvent('change', function() {

					switch(this.get('value'))
					{
						case '':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()), true);

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()), true);
						break;
						case 'today':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'yesterday':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'last_7_days':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'this_month':
							var last_day = new Date().get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
						break;
						case 'last_month':
							var last_month = new Date().decrement('month', 1);

							var last_day = last_month.get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(last_month.set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
						break;
					}
				});
			}
			else
			{
				$(filter_form).getElement('.f-dates-defined').set('value', '');
				$(filter_form).getElement('.f-dates-defined').set('disabled', 'disabled');

				date_from.onFocus(date_from.item, date_from.clone, true);
				date_from.select(date_from.dateToObject(new Date()), true);

				date_to.onFocus(date_to.item, date_to.clone, true);
				date_to.select(date_to.dateToObject(new Date()), true);

				$(filter_form).getElement('.f-date-from').set('disabled', 'disabled');
				$(filter_form).getElement('.f-date-to').set('disabled', 'disabled');

				$(filter_form).getElement('.f-date-from').getNext().set('disabled', 'disabled');
				$(filter_form).getElement('.f-date-to').getNext().set('disabled', 'disabled');
			}
		});
	};

	initDateFilter('search-form');

	<? if ( strlen($this->filter_params['filter_by']) > 0 ): ?>
		$('search-form').getElement('.f-filter-by').fireEvent('change');
	<? endif; ?>

	<? if ( strlen($this->filter_params['dates_defined']) > 0 ): ?>
		$('search-form').getElement('.f-dates-defined').set('value', '<?= $this->filter_params['dates_defined'] ?>');
		$('search-form').getElement('.f-dates-defined').fireEvent('change');
	<? endif; ?>

	var getFilterParams = function () {
		sform = 'search-form';
		var uri = new URI('?' + $(sform).toQueryString());

		return uri.get('data');
	};

	var defaultAction;

	var menu = new ActionsMenu([
		{ name: 'details', icon: 'details', caption: 'Order Details', func: defaultAction = function (data) {
			detailsPopup.setTitle('Order Details');
			detailsPopup.load('/billing/orders/details?id=' + data.order_id, function () {
				this.open();
			});
		} },
	
		/*{ name: 'upgrade', icon: 'package-add', caption: 'Upgrade', func: defaultAction = function (data) {
			upgradePopup.setTitle('Upgrade Package - ' + data.package_name);
			upgradePopup.load('/billing/order-packages/upgrade?id=' + data.order_package_id + '&escort_id=' + data.escort_id, function () {
				upgradePopup.open();
			});
		} },*/
		{ name: 'cancel', icon: 'package-delete', caption: 'Cancel', func: function (data) {
			cancelPopup.setTitle('Cancel Package - ' + data.package_name);
			cancelPopup.load('/billing/order-packages/cancel?id=' + data.order_package_id, function () {
				cancelPopup.open();
			});
		} },
		/*{ name: 'quick-sms', icon: 'quick-sms', caption: 'Send SMS', func: function (data) {
			window.SmsPopup.setTitle('Compose Text Message');
			window.SmsPopup.load('<?= $this->baseUrl() ?>/sms/index/compose?escort_id=' + data.escort_id + '&no_btn=1', function () {
				this.open();
			});
		} },
		{ name: 'move', icon: 'move-package', caption: 'Move', func: defaultAction = function (data) {
			movePopup.setTitle('Move Package - ' + data.package_name);
			movePopup.load('/billing/order-packages/move?id=' + data.order_package_id + '&agency_id=' + data.agency_id + '&escort_id=' + data.escort_id, function () {
				movePopup.open();
			});
		} },
		{ name: 'package-moving-history', icon: 'moving-history', caption: 'Moving History', func: defaultAction = function (data) {
			moveHistoryPopup.setTitle('Package moving history - ' + data.package_name);
			moveHistoryPopup.load('/billing/order-packages/moving-history?id=' + data.order_package_id + '&agency_id=' + data.agency_id + '&escort_id=' + data.escort_id, function () {
				moveHistoryPopup.open();
			});
		} },*/
		
		/*--> Change Premium Cities*/
		<?/* if( Cubix_Application::getId() == APP_6A || Cubix_Application::getId() == APP_EF || Cubix_Application::getId() == APP_BL || Cubix_Application::getId() == APP_ED): ?>
			<? if ( $bu_user->type == 'admin' || $bu_user->type == 'superadmin' ): ?>
				,{ name: 'change_premium_cities', icon: 'details', caption: 'Premium Cities', func: function (data) {
					changePremiumCitiesPopup.setTitle('Premium Cities');
					changePremiumCitiesPopup.load('/billing/packages/premium-cities?id=' + data.order_package_id + '&escort_id=' + data.escort_id, function () {
						changePremiumCitiesPopup.open();
					});
				} },
			<? endif; ?>	
		<? endif; */?>
		/*<--*/
	], { icon: 'package', mode: 'mouse' });

	menu.addEvent('show', function (data) {
		/*if ( data.package_status.toLowerCase() == 'active' ) {
			this.actions['cancel'].enable();
			this.actions['upgrade'].disable();
		}*/
		var date = new Date();
		date.setTime(data.date_activated * 1000);
		var today = new Date();
		var days_used = Math.abs(today.diff(date));

		<?php $config = Zend_Registry::get('system_config'); ?>

		if ( data.package_status.toLowerCase() == 'active' /*&& (days_used <= <?= $config['billing']['packageUpgrade']['maxPeriod'] ?>)*/ ) {
			this.actions['details'].enable();
			this.actions['cancel'].enable();
			//this.actions['upgrade'].enable();
		}
		else if ( data.package_status.toLowerCase() == 'pending' ) {
			this.actions['details'].enable();
			this.actions['cancel'].enable();
			//this.actions['upgrade'].enable();
		}
		else {
			this.actions['details'].enable();
			this.actions['cancel'].disable();
			//this.actions['upgrade'].disable();
		}

		if ( data.is_default ) {
			this.actions['details'].disable();
			this.actions['cancel'].disable();
			//this.actions['upgrade'].enable();
		}

		if ( data.is_default && data.package_status.toLowerCase() == 'canceled' ) {
			this.actions['details'].disable();
			this.actions['cancel'].disable();
			//this.actions['upgrade'].disable();
		}
		
		/*this.actions['upgrade'].disable();
		
		if ( data.package_status.toLowerCase() == 'active' || data.package_status.toLowerCase() == 'pending' || data.is_default ) {
			var today = new Date();
			var date_act = new Date().setTime(data.date_activated * 1000);
			var diff = Math.abs(today.diff(date_act));
			
			
			if ( diff <= 3 ) {
				this.actions['upgrade'].enable();
			}
		} else {
			this.actions['upgrade'].disable();
		}*/
			
			
		<?/* if( Cubix_Application::getId() == APP_6A || Cubix_Application::getId() == APP_EF || Cubix_Application::getId() == APP_BL || Cubix_Application::getId() == APP_ED): ?>
			<? if ( $bu_user->type == 'admin' || $bu_user->type == 'superadmin' ): ?>
			if ( data.show_change_premium_cities && ( data.package_status.toLowerCase() == 'active' || data.package_status.toLowerCase() == 'pending') ) {
				this.actions['change_premium_cities'].enable();
			} else {
				this.actions['change_premium_cities'].disable();
			}
			<? endif; ?>
		<? endif; */?>
			
		//this.actions['move'].disable();
	});

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		preload: true,
		identifier: { field: 'id' },
		header: [
			{ title: '<input type="checkbox" id="select-all" />', field: '', type: 'CheckboxBillingPackages', width: '15px' },
			{ title: 'Ads. ID', field: 'ads_id', type: 'number', sortable: false },
			{ title: 'Advertisment Title', field: 'title', type: 'string', sortable: true },
			{ title: 'Status', field: 'package_status', type: 'PackageStatus', sortable: true },
			{ title: 'Package', field: 'package_name', type: 'SusActivePackage', sortable: true },
			{ title: 'Period', field: 'period', type: 'number', sortable: true, width: '60px' },
			{ title: 'Discount (%)', field: 'discount', type: 'number', sortable: true, width: '100px' },
			{ title: 'Fix Discount', field: 'discount_fixed', type: 'number', sortable: true, width: '100px' },
			{ title: 'Surcharge', field: 'surcharge', type: 'number', sortable: true, width: '90px' },
			{ title: 'Price', field: 'price', type: 'number', sortable: true },
			{ title: 'Activation Date', field: 'date_activated', type: 'Date', sortable: true, width: '120px' },
			{ title: 'Expiration Date', field: 'exp_date', type: 'Date', sortable: true, width: '120px' }
		],
		sort: {
			field: 'op.id',
			dir: 'ASC'
		},
		actions: [ { type: 'package', mouseenter: function (data, btn) {
				menu.show(btn, data, true);
			}
		} ],
		data: new Cubix.Grid.Loader({ url: '/billing/order-packages/data', params: getFilterParams })
	}).addEvent('rightclick', function (data, e) {
		e.stop();
		menu.show({ left: e.page.x, top: e.page.y + 3 }, data, false);
	});

	/* Agency and Escort popups data */
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	var popupClose = function(popup) {
		if ( popup.__mode == 'edit' ) {
			var old_data = window.popup_data;
			var new_data = popup.content.getElement('.form-common').toQueryString();
			

		} else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	// --> Agency popup <--
	var agencyPopup = window.AgencyPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690/*,
		zIndex: function () { return Cubix.Popup.zIndex + 22 }*/
	});

	agencyPopup.addEvent('loaded', function () {


		var ag_self = this;

		new mootabs('agency-tabs', { width: null, height: 'auto' });

		var escorts_grid = Cubix.Grid.Instance = new Cubix.Grid('cx-escort-grid-a', {
			identifier: { field: 'id' },
			header: [
				{ title: 'Showname', field: 'showname', type: 'EscortLink', sortable: true, width: '140px' },
				{ title: 'Status', field: 'status', type: 'string', sortable: true, width: '140px' },
				{ title: 'Phone', field: 'contact_phone_parsed', type: 'string', sortable: true, width: '140px' },
				{ title: 'Email', field: 'contact_email', type: 'Email', sortable: true, width: '140px' },
				{ title: 'Package', field: 'active_package', type: 'ActivePackage', sortable: true, width: '140px' }
			],
			sort: {
				field: 'showname',
				dir: 'asc'
			},
			actions: [ ],
			data: new Cubix.Grid.Loader({ url: '/agencies/escort-list-data?agency_id=' + agencyPopup.agency_id })
		});

		escorts_grid.addEvent('loaded', function () {
			ag_self.content.getElements('.escort-showname').addEvent('click', function (e) {
				e.stop();

				var data = this.getParent('tr').rowData;
				window.EscortPopup.data = data;
				window.EscortPopup.setTitle('Edit Escort ' + data.showname);
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
					this.open();
				});
			});
		});

		this.content.getElements('input[name=available_24_7]').addEvent('change', function(){
			if ( this.get('checked') ) {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', 'disabled');
					el.set('checked', '');
				});

				this.content.getElements('.w_times select').each(function(el){
					el.set('disabled', 'disabled');
					el.set('value', '');
				});
			}
			else {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', '');
				});
			}
		});

		this.content.getElement('select[name=country_id]').addEvent('change', function() {

			ag_self.content.getElement('select[name=city_id]').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					ag_self.content.getElement('select[name=city_id]').set('html', resp);
					ag_self.content.getElement('select[name=city_id]').set('disabled', '');
				}
			}).send();
		});

		window.EscortPopup.close();
	});
	// <-- Agency popup -->

	var ePpopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Place New Order', icon: 'add', action: function () {
				openOrderPopup();
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				tinyMCE.triggerSave();
				(Cubix.Popup.Actions.SaveValid.bind(ePpopup))(function (result) {
					grid.load();
					if ( 'create' == ePpopup.__mode ) {
						if ( confirm('Do you want to edit photos of this escort?') ) {
							window.PhotosPopup.setTitle('Photos of Escort');
							window.PhotosPopup.escort_id = result.escort_id;
							window.PhotosPopup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=' + result.escort_id, function () {
								this.open();
							});
						}
					}
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close/*function() {
				popupClose(popup);
			}*/ }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 4 }
	});
	
	var addOrderButton = ePpopup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');

	window.EscortPopup = ePpopup;

	ePpopup.addEvent('close', function (e) {
		window.EscortsKeyboard.deactivate();
	});

	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 20 }
	});


	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	var openOrderPopup = function() {
		window.PackagesPopup = PackagesPopup;
		window.OrderPopup = OrdersPopup;

		if ( ! window.EscortPopup.data.agency_id ) {
			OrdersPopup.setTitle('Create New Order for Escort ' + window.EscortPopup.data.showname);
			OrdersPopup.load('/billing/orders/create?type=escort&id=' + window.EscortPopup.data.escort_id + '&name=' + window.EscortPopup.data.showname, function () {
				this.open();
			});
		}
		else {
			OrdersPopup.setTitle('Create New Order');
			OrdersPopup.load('/billing/orders/create?type=agency&id=' + window.EscortPopup.data.agency_id + '&name=' + window.EscortPopup.data.agency_name, function () {
				this.open();
			});
		}
	};

	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.SmsPopup = popup_sms;

	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;

	var photos_popup = new Cubix.Popup.Ajax({
		width: 896,
		zIndex: function () { return Cubix.Popup.zIndex + 14 }
	});

	window.PhotosPopup = photos_popup;

	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });
	/* Agency and Escort popups data */


	grid.addEvent('loaded', function () {
		$$('.escort-showname').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;
			ePpopup.__mode = 'edit';

			

			window.EscortPopup.data = data;
			addOrderButton.setStyle('display', 'block')
			window.EscortPopup.setTitle('Edit Escort ' + data.showname);
			window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.escort_id, function () {
				this.open();
			});
		});
		
		if ( $('select-all') ) {
			$('select-all').set('checked', '');

			$('select-all').addEvent('click', function() {
				if ( this.get('checked') )
				{
					$$('#cx-grid input[type=checkbox]').each(function(it){
						if ( it.get('id') != 'select-all' )
							it.set('checked', 'checked');
					});
				}
				else
				{
					$$('#cx-grid input[type=checkbox]').each(function(it){
						if ( it.get('id') != 'select-all' )
							it.set('checked', '');
					});
				}
			});
		}
	});
	
	if ( $('btn-send-sms') ){
		new Cubix.Button($('btn-send-sms'), { onClick: function () {
			var ids = getCheckedIds();

			if ( ids ) {
				window.SmsPopup.setTitle('Compose Text Message');
				window.SmsPopup.load('<?= $this->baseUrl() ?>/sms/index/compose?' + ids.split(',') + '&no_btn=1', function () {
					this.open();
				});
			}
			else {
				alert('Please select some row(s) to perform action with !');
			}
		}, icon: 'msg_send', caption: 'Send Bulk SMS', classes: 'ml20' });
	}
	
	if ( $('btn-mc') ){
		new Cubix.Button($('btn-mc'), { onClick: function () {
			var ids = getCheckedIds();

			if ( ids ) {
				window.MCPopup.setTitle('Add Comment');
				window.MCPopup.load('<?= $this->baseUrl() ?>/billing/order-packages/add-escort-comment?' + ids.split(','), function () {
					this.open();
				});
			}
			else {
				alert('Please select some row(s) to perform action with !');
			}
		}, icon: 'msg_send', caption: 'M.C.', classes: 'ml20' });
	}
	
	function getCheckedIds()
	{
		var ids = '';
		$$('#cx-grid input[type=checkbox]').each(function(it){
			if ( it.get('escort_id') != 'select-all' && it.get('checked') )
				ids += 'id[]=' + it.value + '&';
		});

		return ids;
	}
	
	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	
	window.SmsPopup = popup_sms;
	
	window.SmsPopup.addEvent('loaded', function () {		
		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});
	});
	
	var popup_mc = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	
	window.MCPopup = popup_mc;

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.addEvent('change', function(){
			grid.load();
		});
	};

	initFormSubmit();
};
</script>

<div class="form-common gray c-filter-form">
	<form id="search-form" action="">
		<div class="fleft">
			<fieldset class="inner mb10">
				<legend>General</legend>

				<div class="inner">
					<label for="escort_id">Advertisment ID</label>
					<input name="ads_id" id="ads_id" class="txt w12" type="text" value="<?= $this->filter_params['ads_id'] ?>" />
				</div>
				
				<div class="inner">
					<label for="f-order_id">Order ID</label>
					<input type="text" name="sys_order_id" class="txt w12" id="f-order_id" value="<?= $this->filter_params['sys_order_id'] ?>" />
				</div>
				<div class="clear"></div>

				<div class="inner">
					<label for="f-package-status">Status</label>
					<?= $this->selectBox('package_status', 'f-package-status', Model_Packages::$STATUS_LABELS, 'w16', ($this->filter_params['package_status']) ? $this->filter_params['package_status'] : Model_Packages::STATUS_PENDING, 'any', false, 'bp') ?>
				</div>				
				<div class="clear"></div>
				
				<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin' || $bu_user->type == 'payments manager' ): ?>
				<div class="inner">
					<label for="f-sales-user-id">Sales Person</label>
					<select name="sales_user_id" id="f-sales-user-id" class="w14">
						<option value="">- any -</option>
						<?php $model = new Model_Moderators(); $sales = $model->getByType(array('sales clerk','sales manager', 'sales', 'admin', 'superadmin')) ?>
						<?php foreach($sales as $sale): ?>
							<option value="<?= $sale->id ?>" <?= ($sale->id == $this->filter_params['sales_user_id']) ? 'selected="selected"' : '' ?>><?= $sale->username ?></option>
						<?php endforeach; ?>
					</select>
				</div>
				
				<div class="inner">
					<label for="f-filter-by-package">Package</label>
					<? $m_packages = new Model_Packages(); $packages = $m_packages->getPackages(); ?>
					<select name="active_package_id" id="package">
						<option value="">-</option>
						<option value="-1"> Any package except zero</option>
						<? foreach( $packages as $id => $package ): ?>
							<option value="<?= $id ?>"><?= $package ?></option>
						<? endforeach; ?>
					</select>
				</div>
				<div class="clear"></div>
				<? endif; ?>
			</fieldset>

			<fieldset class="inner mb10">
				<legend>Date</legend>

				<div class="inner">
					<label for="f-filter-by">Filter By</label>
					<select id="f-filter-by" name="filter_by" class="w16 f-filter-by">
						<option value=""> - any - </option>
						<option value="activation_date" <?= ( $this->filter_params['filter_by'] == 'activation_date' ) ? 'selected="selected"' : '' ?> >Activation Date</option>
						<option value="expiration_date" <?= ( $this->filter_params['filter_by'] == 'expiration_date' ) ? 'selected="selected"' : '' ?> >Expiration Date</option>
					</select>
				</div>

				<div class="inner">
					<label>Date:</label>
					<select id="f-dates-defined" name="dates_defined" class="w16 f-dates-defined" disabled="disabled">
						<option value=""> - any - </option>
						<option value="today">Today</option>
						<option value="yesterday">Yesterday</option>
						<option value="last_7_days">Last 7 Days</option>
						<option value="this_month">This Month</option>
						<option value="last_month">Last Month</option>
					</select>
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label>From</label>
					<input id="f-date-from" type="text" class="txt w147 f-date-from" name="date_from" value="" disabled="disabled" />
				</div>

				<div class="inner" style="padding-top: 25px">
					<span> - </span>
				</div>

				<div class="inner">
					<label>To</label>
					<input id="f-date-to" type="text" class="txt w147 f-date-to" name="date_to" value="" disabled="disabled" />
				</div>

				<div class="clear"></div>
			</fieldset>

			<div class="clear"></div>


		</div>

		<div class="clear"></div>

		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<?/*<a id='btn-send-sms'></a>*/ ?>
		
		<div class="clear"></div>
	</form>
</div><!-- form-common -->


<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
